#
#
# roof_cutscene.bsl
#

func void intro_roll_sounds(void)
{
	sleep 252
	sound_impulse_play kon_roll
	sleep 3
	sound_impulse_play kon_roll
}

func void
intro_taunt(
	void)
{
	chr_envanim_stop IntroNinja
	chr_teleport IntroNinja 600
	chr_facetoflag IntroNinja 600
	chr_animate IntroNinja NINCOMcrouch_idle

	ai2_passive IntroNinja 1
	ai2_setmovementmode IntroNinja creep
	sleep f40
	playback_block IntroNinja IntroNinja
	ai2_passive IntroNinja 0

	ai2_attack IntroNinja 0
}

func void
intro(
	void)
{
	fade_out 0 0 0 0
	cm_interpolate IntroCam01 0
	sleep 14
	begin_cutscene
	ai2_spawn IntroNinja
	#sound_ambient_start c08_11_19zip
	sleep 30
	fade_in 120
	obj_create 81 81
	env_anim 81 81
	cm_anim both IntroCam01
	chr_envanim 0 IntroKonBip01 norotation
	chr_animate 0 KONOKOlev12_Intro
	chr_envanim IntroNinja IntroNinBip01 norotation
	chr_animate IntroNinja NINJAlev12_Intro
	fork intro_roll_sounds
	sleep f30
	sound_ambient_start c08_11_19zip
	cm_anim_block both IntroCam02
	cm_wait
	cm_reset
	playback 0 IntroKonoko
	done_with_intro_cutscene = 1;
	trigvolume_reset death_fall_trigger_67
	end_cutscene
	fork intro_taunt
	s1
}

func void
camcontrol(
	void)
{
	cm_anim both IntroCam01
	cm_anim_block both IntroCam02
	cm_wait
}



func void
Elevator(
	void)
{
	begin_cutscene
	sleep 10
	# "It's strange, I can almost feel him out there, creeping from shadow to shadow..."
	sound_dialog_play c11_39_02konoko
	playback 0 ElevatorKonokoSet
	cm_interpolate ElevatorCam01 0
	sleep 10
	chr_envanim 0 ElevatorKonBox01
	obj_create 31 31
	obj_shade 31 31 .4 .4 .4
	env_anim 31 31
	sound_ambient_start first_elevator
	cm_anim both ElevatorCam01
	sleep 220
	obj_kill 31 31
	env_show 31 1
	cm_reset
	sleep 10
	end_cutscene
}




func void
NinjaZip(
	void)
{
	chr_envanim NinjaZip ZipNinjaBipBox norotation
	chr_animate NinjaZip NINJAlev12_zip
	obj_create 72 72
	env_anim 72 72
	sleep 60
	playback E_N14 Ninja02Jump
	sleep 80
	ai2_passive E_N14 0
	sleep 100
	playback NinjaZip NinjaZipLeave
	sleep 120
	chr_delete NinjaZip
}

func void
KonokoZip(
	void)
{
	particle obj_zip kill
	begin_cutscene
	sleep 10
	cm_anim both KonZipCam01
	chr_envanim 0 ZipKonBipBox norotation
	chr_animate 0 KONOKOlev12_zip
	obj_create 71 71
	env_anim 71 71
	sleep 55
	sound_ambient_start c08_11_19zip
	sleep 235

	# CB: kill ninja's zip so we don't get Z fighting on superposed objects
	obj_kill 72 72

	cm_reset
	end_cutscene
}

func void pretty_sayline(void)
{
	sleep 180
	# "I'm backing him into a corner. This isn't going to be pretty."
	sound_dialog_play c11_39_09konoko
	sound_dialog_play_block pause
	sleep 30
	door_open 2
	door_jam 2
}

func void
ninja(
	void)
{
	begin_cutscene
	sleep 10
	fork pretty_sayline
	fork storm
	ai2_spawn OutroNinja
	ai2_spawn B_SuperNinja
	ai2_spawn E_SuperNinja
	ai2_spawn D_SuperNinja
	#ai2_spawn NinjaZip
	chr_boss_shield OutroNinja
	chr_boss_shield B_SuperNinja
	chr_boss_shield E_SuperNinja
	chr_boss_shield D_SuperNinja
	#chr_boss_shield NinjaZip
	ai2_allpassive 1
	playback OutroNinja SuperNinjaSet
	playback B_SuperNinja SuperNinjaSet
	playback E_SuperNinja SuperNinjaSet
	playback D_SuperNinja SuperNinjaSet
	#playback NinjaZip SuperNinjaSet
	chr_nocollision OutroNinja 1
	chr_nocollision B_SuperNinja 1
	chr_nocollision E_SuperNinja 1
	chr_nocollision D_SuperNinja 1
	#chr_nocollision NinjaZip 1
	#konokoenters elevator
	#cm_interpolate SuperCam00 0
	playback 0 SuperKonokoEnter
	chr_envanim 0 SuperKonBox01
	gs_farclipplane_set 500
	obj_create 41 41
	obj_shade 41 41 .4 .4 .4
	env_anim 41 41
	sound_ambient_start c08_20_27elevator
	cm_anim both SuperCam00
	cm_wait
	obj_kill 41 41
	env_show 41 1
	cm_interpolate SuperNinjaCam01 180
	sleep 120
	#all you have done is force me to fight
	sound_dialog_play c11_40_01superninja
	cinematic_start (BOSS2face, 180, 180, 19, 7, 20, false)
	sleep 60
	playback 0 SuperKonokoSet
	sound_dialog_play_block pause
	#Konoko who are you
	cm_interpolate SuperCamKonokoSet 0
	door_close 2
	door_lock 2
	sound_dialog_play c11_40_02konoko
	cinematic_start (KONtalking, 180, 180, 20, 9, 20, true)
	sound_dialog_play_block pause
	cinematic_stop (KONtalking, 20, 20)
	#Super Ninja goes around
	playback OutroNinja SuperNinjaWalk
	playback B_SuperNinja SuperNinjaWalk
	playback E_SuperNinja SuperNinjaWalk
	playback D_SuperNinja SuperNinjaWalk
	#playback NinjaZip SuperNinjaWalk
	sleep 40
	playback 0 SuperKonokoWalk
	#ninja talks
	sound_dialog_play c11_40_03superninja
	cinematic_stop (BOSS2face, 7, 0)
	cinematic_start (BOSS2face, 180, 180, 7, 9, 2, false)
	cm_interpolate SuperCamWalkOut02 0
	cm_interpolate_block SuperCamWalkOut02b 800
	sound_dialog_play_block pause
	#konoko answers
	sound_dialog_play c11_40_04konoko
	cinematic_start (KONtalking, 180, 180, 16, 3, 20, true)
	sound_dialog_play_block pause
	cinematic_stop (KONtalking, 16, 20)
	#super ninja we writhe
	sound_dialog_play c11_40_05superninja
	#cm_interpolate_block SuperCamWalkOut02b 800
	sound_dialog_play_block pause
	cm_interpolate SuperCamWalkOut02b 800
	#Konoko says you're a thug
	sound_dialog_play c11_40_06konoko
	cinematic_start (KONangry, 180, 180, 16, 3, 20, true)
	cm_interpolate SuperCamWalkOut03 0
	cm_interpolate_block SuperCamWalkOut03b 600
	sound_dialog_play_block pause
	cinematic_stop (KONtalking, 16, 20)
	#ninja says we'll see about that
	sound_dialog_play c11_40_07superninja
	sound_dialog_play_block pause
	cinematic_stop (BOSS2face, 19, 15)
	#gameplay setup
	playback 0 SuperKonokoEnd
	cm_reset
	end_cutscene
	sleep 20
	chr_animate OutroNinja NINCOMteleport_in 47
	music_battle
	sleep 40
	playback OutroNinja SuperNinjaDone
	playback B_SuperNinja SuperNinjaDone
	playback E_SuperNinja SuperNinjaDone
	playback D_SuperNinja SuperNinjaDone
	#playback NinjaZip SuperNinjaDone
	chr_animate OutroNinja NINCOMteleport_out 31
	chr_nocollision OutroNinja 0
	chr_nocollision B_SuperNinja 0
	chr_nocollision E_SuperNinja 0
	chr_nocollision D_SuperNinja 0
	chr_nocollision NinjaZip 0
	chr_giveweapon B_SuperNinja w3_phr
	chr_giveweapon E_SuperNinja w4_psm
	chr_giveweapon D_SuperNinja w6_vdg
	#chr_giveweapon NinjaZip w10_sni

	dprint SAVEDGAME4	
	save_game 4 autosave
}


func void
test(
	void)
{
	chr_envanim 0 ZipKonBipBox norotation
	sleep 120
	playback 0 IntroKonoko
}


func void
deathfall(
	void)
{
	if (done_with_intro_cutscene eq 1)
	{
		sleep 30
		#cm_detach
		sleep 30
		chr_set_health 0 5000
	}
}


func void
outro(
	void)
{
	sound_music_volume mus_fitec 0.0 1.0
	music_stop
	begin_cutscene
	chr_animate OutroNinja NINCOMteleport_in 31	
	sleep 10
	#spawn teleported Ninja and add some glowy bits
	chr_envanim OutroNinja OutroNinjaBox01
	chr_animate OutroNinja NINCOMteleport_out 31
	sleep 10
	cm_interpolate OutroCam01 0
	sleep 10
	chr_envanim OutroNinja OutroNinjaBox01 norotation
	chr_animate OutroNinja NINJAlev12_Outro1
	sound_ambient_start ninja_cd_scene
	cm_anim both OutroCam01
	sleep 208
	obj_create 481 481
	env_anim 481 481
	cm_interpolate OutroCamDisk 90
	chr_envanim OutroNinja OutroNinjaBox02 norotation
	chr_animate OutroNinja NINJAlev12_Outro2 900
	#Konoko patrol to flag 2000
	#chr_teleport 0 2000
	playback 0 OutroKonoko01
	sleep 100
	sleep 70
	#camera cut here to Konoko's face
	cm_interpolate OutroCam02 0
	#sleep 30
	#playback 0 OutroKonoko02
	sleep 50
	cinematic_start (KONtalking, 180, 180, 18, 6, 15, true)
	sound_dialog_play c11_41_01konoko
	sleep 300
	#camera cut here to Konoko and Ninja
	cm_interpolate OutroCam03 0
	cm_interpolate_block OutroCam04 800
	chr_envanim OutroNinja OutroNinjaBox02 norotation
	chr_animate OutroNinja NINJAlev12_Outro2 1300
	sound_dialog_play_block
	# Camera cut as Konoko steps on Ninja
	#Add sound of Konoko saying she has nothing in common
	sound_dialog_play c11_41_01bkonoko
	cinematic_stop (KONtalking, 18, 20)
	cinematic_start (KONintense, 180, 180, 18, 6, 15, true)
	#cm_anim both OutroCam05
	#chr_envanim 0 OutroKonBox01 norotation
	#chr_animate 0 KONOKOlev12_Outro1
	#chr_envanim OutroNinja OutroNinjaBox03 norotation
	#chr_animate OutroNinja NINJAlev12_Outro3
	sleep 175
	#sound_ambient_start c09_36_26neckbreak
	sleep 100
	#Camera cut to Konoko's face
	playback 0 OutroKonoko02
	chr_animate OutroNinja STRIKEfallen_front 540
	cm_interpolate OutroCam06 0
	sleep 60
	sound_dialog_play c11_41_02konoko
	cinematic_stop (KONintense, 18, 10)
	sleep 60
	#fade_out 0 0 0 120
	chr_changeteam OutroNinja Konoko
	chr_changeteam 0 Konoko
	chr_set_health OutroNinja 45	
	sleep 120
	end_cutscene
	cinematic_start (BOSS2face, 180, 180, 7, 9, 2, false)
	dmsg "[y. Mukade: Oh, Bye! ]"
	chr_animate OutroNinja NINCOMteleport_in 31
	sleep 30
	#chr_delete OutroNinja	
	chr_delete B_SuperNinja	
	chr_delete E_SuperNinja	
	#chr_delete NinjaZip
	chr_delete D_SuperNinja
	cm_reset
	cinematic_stop (BOSS2face, 7, 0)
	ai2_spawn sbg_ninja
	playback sbg_ninja SuperNinjaWalk
	chr_set_health sbg_ninja 500
	chr_unstoppable sbg_ninja 1
	chr_giveweapon sbg_ninja w5_sbg
	#chr_set_health 0 1
	chr_animate 0 KONOKOblownup 2
	dmsg "Ninja: I sense you're weakness."
	chr_wait_health sbg_ninja 1
	chr_invincible sbg_ninja 1
	sleep 20
	chr_animate sbg_ninja NINCOMteleport_in 31	
	sleep 10
	chr_envanim sbg_ninja OutroNinjaBox01
	chr_animate sbg_ninja NINCOMteleport_out 31
	chr_delete sbg_ninja
	dmsg "Ninja: My weapon......is yours...."
	chr_giveweapon 0 w5_sbg
	chr_animate 0 KONOKOendpowerup
	#chr_set_health 0 25
	sleep 20
	dmsg "Vengance is Sweet!"
	ai2_spawn A_N7
	ai2_spawn A_N8
	chr_set_health A_N7 500
	chr_set_health A_N8 500
	playback A_N7 SuperNinjaWalk
	playback A_N8 SuperNinjaSet
	dmsg "Ninja: DIE"
	chr_wait_health A_N7 1
	chr_wait_health A_N8 1
	chr_invincible A_N7 1
	chr_invincible A_N8 1
	chr_animate A_N7 KONOKOblownup 2
	chr_animate A_N8 KONOKOblownup 2
	chr_animate 0 KONOKOpowerup
	chr_super 0 1
	chr_set_health 0 50
	sleep 40
	chr_set_health 0 100
	sleep 50
	chr_set_health 0 500
	chr_delete A_N7
	chr_delete A_N8
	chr_super 0 0
	dmsg "Ninja: You are merely a pawn in this battle of kings."
	ai2_spawn A_N43
	playback A_N43 SuperNinjaSet
	chr_invincible A_N43 1
	chr_unstoppable A_N43 1
	sleep 1000
	chr_invincible A_N43 0
	chr_set_health A_N43 1000
	chr_wait_health A_N43 500
	chr_invincible A_N43 1
	chr_unstoppable A_N43 0
	sleep 1000
	chr_invincible A_N43 0
	chr_set_health A_N43 1000
	chr_wait_health A_N43 500
	chr_set_health A_N43 1000
	chr_wait_health A_N43 0
	dmsg "Ninja: You win...but...yoy...shall...die..."
	chr_animate 0 KONOKOacid 340
	chr_set_health 0 2
	sleep 340
	chr_set_health 0 1
	chr_animate 0 KONOKOblownup 2
	dmsg "Ninja: Down you go."
	ai2_spawn C_N17
	ai2_spawn C_N18
	chr_set_health C_N17 2000
	chr_set_health C_N18 2500
	playback C_N17 SuperNinjaWalk
	playback C_N18 SuperNinjaSet
	chr_giveweapon C_N17 w8_mbo
	chr_giveweapon C_N18 w10_sni
	chr_givepowerup C_N17 ammo 7000
	chr_givepowerup C_N18 shield 20000
	chr_wait_health C_N17 1
	chr_wait_health C_N18 1
	chr_invincible C_N17 1
	chr_invincible C_N18 1
	chr_animate 0 COMCOMlev13_death
	sleep 50
	dmsg "Ninja: Powerup NOW!"
	chr_set_health C_N17 1500
	chr_set_health C_N18 2000
	chr_givepowerup C_N17 shield 7000
	chr_givepowerup C_N18 shield 7000
	chr_giveweapon C_N17 w8_mbo
	chr_giveweapon C_N18 w10_sni
	chr_unstoppable C_N17 1
	chr_unstoppable C_N18 1
	chr_invincible C_N17 0
	chr_invincible C_N18 0
	chr_wait_health C_N17 0
	chr_wait_health C_N18 0
	#dmsg "Ninja: EAT ACID BOMBS!"
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#sleep 340
	#chr_animate 0 KONOKOacid 340
	#sleep 340
	#chr_set_health 0 1
	#sound_impulse_play konoko_gruesome_death
	#chr_animate 0 STRIKEfallen_back 200
	#sleep 200
	dmsg "Ninja: Hiss......"
	chr_invincible 0 0
	chr_unstoppable 0 0
	sleep 200
	dmsg "Renforce...Me..." 
	ai2_spawn B_Sr10
	ai2_spawn B_Sr10a
	ai2_spawn B_R11
	ai2_spawn B_R12a
	chr_set_health B_Sr10 1350
	chr_set_health B_Sr10a 1279
	chr_set_health B_R11 1781
	chr_set_health B_R12a 1752
	playback B_Sr10 SuperNinjaWalk
	playback B_Sr10a SuperNinjaWalk
	playback B_R11 SuperNinjaWalk
	playback B_R12a SuperNinjaWalk
	chr_wait_health B_Sr10 0
	chr_wait_health B_Sr10a 0
	chr_wait_health B_R11 0
	chr_wait_health B_R12a 0
	sleep 20
	#dmsg "Prepare my transport..."
	sleep 90
	#dmsg " I want to ditch this place...pronto..."
	#chr_animate 0 KONOKOacid 600
	#sleep 590
	#sound_impulse_play konoko_gruesome_death
	#chr_animate 0 STRIKEfallen_front 200
	#sleep 200
	dmsg "[y. Mukade: I'm here to help. Clone, go get him!]"
	dmsg "Mukade Clone: Yes Master..."
	dmsg "[r. Super Comguy: Help Won't Help]"
	ai2_spawn E_C62
	chr_set_health E_C62 2468
	chr_giveweapon E_C62 w11_ba1
	playback E_C62 SuperNinjaDone
	ai2_spawn NinjaZip
	chr_set_health OutroNinja 500
	chr_changeteam NinjaZip Konoko
	chr_changeteam 0 Konoko
	chr_set_health NinjaZip 500
	playback NinjaZip SuperNinjaSet
	playback OutroNinja SuperNinjaSet
	ai2_unkillable NinjaZip 1
	ai2_unkillable OutroNinja 1
	ai2_unkillable NinjaZip 0
	ai2_unkillable OutroZip 0
	chr_wait_health E_C62 0
	chr_delete NinjaZip
	chr_delete OutroNinja
	dmsg "Mukade: We've gotta go..."
	sleep 40
	dmsg "YOU WIN!!! QUIT ONI"
	sleep 500
	dmsg "NOW"
	sleep 500
	dmsg "[g. Bonus Level Commencing....]"
	sleep 50
	dmsg "[y. Bonus Level Loading....]"
	sleep 50
	dmsg "[b. Bonus Level Bluffering.........]"
	sleep 50
	dmsg "[r. ERROR! Bonus Level Warped ERROR!]"
	sleep 50
	dmsg "Script Writers: I'D QUIT IF I WERE YOU!"
	sleep 50
	dmsg "[r. WARNING! Warped Bonus Level Burst Out, Uncontainable]"
	sleep 100
	dmsg "[r. Prepare To Fight....... ]"
	sleep 100
	chr_animate 0 NINJAlev12_Outro1
	sleep 200
	chr_animate 0 NINJAlev12_Outro2 500
	sound_impulse_play konoko_gruesome_death
	sleep 500
	chr_animate 0 NINJAlev12_Outro3
	sleep 200
	chr_animate 0 KONOKOacid 500
	sound_impulse_play konoko_gruesome_death
	sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	sleep 500
	chr_animate 0 NINJAlev12_Outro1
	sleep 100
	chr_animate 0 NINJAlev12_Outro2 130
	sleep 130
	chr_animate 0 NINJAlev12_Outro3
	sleep 200
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	#chr_animate 0 KONOKOacid 500
	#sound_impulse_play konoko_gruesome_death
	#sleep 500
	ai2_spawn E_N14
	ai2_spawn E_N14a
	#ai2_spawn A_C5
	#ai2_spawn A_Sr3
	chr_set_health E_N14 2000
	chr_set_health E_N14a 2001
	#chr_set_health A_C5 2002
	#chr_set_health A_Sr3 2003
	playback E_N14 SuperNinjaWalk
	playback E_N14a SuperNinjaSet
	#playback A_C5 SuperNinjaDone
	#playback A_Sr3 SuperKonokoSet
	chr_wait_health E_N14 0
	chr_wait_health E_N14a 0
	#chr_wait_health A_C5 0
	#chr_wait_health A_Sr3 0
	#chr_animate 0 KONOKOacid 250
	#sleep 250
	chr_animate 0 COMCOMlev_13Death
	sleep 100
	chr_animate 0 BARABrocket 500
	sleep 500
	chr_animate 0 STRIKEknockdown1
	sleep 60
	chr_animate 0 BARABstunned 200
	sleep 200
	chr_animate 0 BOMBlev3_stagger
	sleep 100
	chr_animate 0 BOMBlev3_fall1 1000
	sleep 1000
	chr_animate 0 BOMBlev3_fall2
	sleep 500
	chr_animate ShinShin SHINATlev10_SitSpaz 600
	sleep 600
	ai2_spawn D_N25
	chr_set_health D_N25 1050
	chr_giveweapon D_N25 w5_sbg
	chr_givepowerup D_N25 ammo 999
	playback D_N25 SuperNinjaDone
	chr_wait_health D_N25 1
	chr_delete D_N25
	#chr_animate 0 KONOKOacid 250
	#sleep 250
	chr_animate 0 COMCOMlev_13Death
	sleep 100
	chr_animate 0 BARABrocket 250
	sleep 250
	chr_animate 0 STRIKEknockdown1
	sleep 60
	chr_animate 0 BARABstunned 200
	sleep 200
	chr_animate 0 BOMBlev3_stagger
	sleep 100
	chr_animate 0 BOMBlev3_fall1 1000
	sleep 1000
	chr_animate 0 BOMBlev3_fall2
	sleep 500
	chr_animate ShinShin SHINATlev10_SitSpaz 600
	sleep 600
	fork doom3
}
func void win(
	void)
{
	chr_animate 0 KONOKOendpowerup
	dmsg " <GAME OVER> "
	sleep 50
	dmsg " Looks Like Your Done Now, Go Outside And Play. "
	Fade_out 0 0 20 0
	#win
}

func void doom3(
	void)
{

ai2_spawn E_R32
ai2_spawn E_Sr33
ai2_spawn E_Sr30
ai2_spawn E_N29
ai2_spawn E_Sb31
ai2_spawn E_Sr63
ai2_spawn E_Sr64
ai2_spawn E_R65
playback E_R32 SuperNinjaDone
playback E_Sr33 SuperNinjaDone
playback E_Sr30 SuperNinjaDone
playback E_N29 SuperNinjaDone
playback E_Sb31 SuperNinjaDone
playback E_Sr63 SuperNinjaDone
playback E_Sr64 SuperNinjaDone
playback E_R65 SuperNinjaDone
chr_wait_health E_R32 0
chr_wait_health E_Sr33 0
chr_wait_health E_Sr30 0
chr_wait_health E_N29 0
chr_wait_health E_Sb31 0
chr_wait_health E_Sr63 0
chr_wait_health E_Sr64 0
chr_wait_health E_R65 0
fork win
}
